package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 结算 服务类
* </p>
*
* @author quyixiao
* @since 2025-11-10
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvMySettlementDao;
import com.heyu.api.data.entity.vv.VvMySettlementEntity;
import com.heyu.api.data.service.vv.VvMySettlementService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvMySettlementServiceImpl extends ServiceImpl<VvMySettlementDao, VvMySettlementEntity> implements VvMySettlementService {


    @Autowired
	private VvMySettlementDao vvMySettlementDao;



	@Override
	public VvMySettlementEntity selectVvMySettlementById(Long id){
		return vvMySettlementDao.selectVvMySettlementById(id);
	}



	@Override
	public Long insertVvMySettlement(VvMySettlementEntity vvMySettlement){
		return vvMySettlementDao.insertVvMySettlement(vvMySettlement);
	}



	@Override
	public Long insertOrUpdateVvMySettlement(VvMySettlementEntity vvMySettlement){
		return vvMySettlementDao.insertOrUpdateVvMySettlement(vvMySettlement);
	}



	@Override
	public int updateVvMySettlementById(VvMySettlementEntity vvMySettlement){
		return vvMySettlementDao.updateVvMySettlementById(vvMySettlement);
	}



	@Override
	public int updateCoverVvMySettlementById(VvMySettlementEntity vvMySettlement){
		return vvMySettlementDao.updateCoverVvMySettlementById(vvMySettlement);
	}



	@Override
	public int deleteVvMySettlementById(Long id){
		return vvMySettlementDao.deleteVvMySettlementById(id);
	}



}
